' TouchMe.VBS V1.02 (C) yoshioka.teruo@nifty.com 2005-06-01
' TouchMe.VBS sets date and time of files to that of script file.
' Usage: TouchMe [files...]

Option Explicit

Dim fso
Dim Folders()
Dim Files()
Dim Times()
Dim k
Dim File
Dim Shell
Dim Folder
Dim FolderItem
Dim ans

Set fso=CreateObject("Scripting.FileSystemObject")
ReDim Folders(WScript.Arguments.Count)
ReDim Files(WScript.Arguments.Count)
ReDim Times(WScript.Arguments.Count)

Set File=fso.GetFile(WScript.ScriptFullname)
Folders(0)=fso.GetParentFolderName(File.Path)
Files(0)=File.Name
Times(0)=File.DateLastModified
For k=1 To WScript.Arguments.Count
  Set File=fso.GetFile(WScript.Arguments(k-1))
  Folders(k)=fso.GetParentFolderName(File.Path)
  Files(k)=File.Name
  Times(k)=File.DateLastModified
Next

Set Shell=CreateObject("Shell.Application")
Set Folder=shell.NameSpace(Folders(0))
Set FolderItem=Folder.Items.Item(Files(0))

If WScript.Arguments.Count=0 Then
  ans=InputBox("Enter date & time to be referred","Set Me",Times(0))
  If IsEmpty(ans) Then WScript.Quit
  If ans="" Or ans="0" Then ans="0:00"
  If Not IsDate(ans) Then
    WScript.Echo "Invalid Date & Time :",ans
    WScript.Quit
  End If
  ans=CDate(ans)
  FolderItem.ModifyDate=ans
  WScript.Quit
End If

Set File=fso.GetFile(WScript.ScriptFullname)
If WScript.Arguments.Count=1 And FolderItem.ModifyDate=0 And _
   (File.Attributes And 1)=0 Then
  FolderItem.ModifyDate=Times(1)
  WScript.Quit
End If

For k=1 To WScript.Arguments.Count
  Set Folder=shell.NameSpace(Folders(k))
  Set FolderItem=Folder.Items.Item(Files(k))
  FolderItem.ModifyDate=Times(0)
Next
WScript.Quit
